2

This question already has an answer here:

When I type youtube-dl -U, I get this error:

youtube-dl: error: youtube-dl's self-update mechanism is disabled on Debian.
Please update youtube-dl using apt(8).
See https://packages.debian.org/sid/youtube-dl for the latest packaged version.

marked as duplicate by karel, WinEunuuchs2Unix, Eric Carvalho, Charles Green, Thomas Ward Dec 12 '18 at 19:20

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • You could try pip install update youtube-dl if you don't want to wait for someone to package it & grab the updates via normal apt means. The message listed is put in from upstream; removing (inc. changing) it would mean more testing.... – guiverc Jun 15 '18 at 1:01
  • sudo: pip: command not found that's what i got ! – Sami Switch Jun 15 '18 at 1:03
  • sudo apt install python-pip then. pip is the python package manager; youtube-dl is python... – guiverc Jun 15 '18 at 1:04
4

If you want/need the latest youtube-dl (and can't wait for it to be packaged & installed via debian/ubuntu .deb)

pip install update youtube-dl

pip is the package management tool for python (the language that youtube-dl is written in).

[ If you haven't pip installed; you can install it with sudo apt install python-pip]

Not the answer you're looking for? Browse other questions tagged or ask your own question.